Subject: bug#55832: 28.1; Emacs crashes when using tramp from helm in emacs-29

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Jun 2022 20:18:12 +0300

> From: Thierry Volpiatto <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 07 Jun 2022 17:02:19 +0000
> 
> >>     Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> >>     0x0000555555837be7 in doprnt.part ()
> >> 
> >> In all previous emacs this worked normally, working fine here in
> >> emacs-28.1.
> >> This is a followup of bug #55555.
> >> 
> >> I can send more infos from gdb if you give me instructions, I tried bt
> >> but the output is huge.
> >
> > The first step is to figure out what was the immediate reason for the
> > segfault, and in which source line it happened.
> >
> > Your build is heavily optimized, so I suggest to rebuild with the
> > following additional compiler options:
> >
> >    -gdwarf-4 -g3
> 
> Can't reproduce the crash after rebuilding with these flags.

_Only_ with these flags, or with these flags _in_addition_ to the
previous ones?

What is the value of system-configuration-options in the new build?